coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/completeLongTermUndelivery2609170000

Process Orders Long Past Their Promised Delivery Date as 'Delivery Completed'

KRTW
# 01

簡介

Process Orders Long Past Their Promised Delivery Date as 'Delivery Completed'

# 02

詳細內容

Available buyer market: Korean

For those orders that have been over one month since their waybills were registered but still cannot be tracked, switch their status to 'Delivery Completed'.

When an order that has been settled is not yet delivered and results in a Customer dispute, the seller is liable to pay for the resolution of the dispute, and it is crucial that all the facts are checked and confirmed.

The orders that can be processed as 'Delivery Completed' are: the orders in 'Delivery Started' (DEPARTURE) or 'In Transit' status, past 30 days since 'Delivery Started' (DEPARTURE).

路徑

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/completeLongTermUndelivery

範例端點

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/completeLongTermUndelivery

URL API Name

UPDATE_INVOICE_DELIVERY_BY_INVOICE_NO
# 03

Path 參數

NameTypeDescription
vendorId*string
Seller ID
# 04

請求內容

請求參數

請求內容參數

NameTypeDescription
shipmentBoxId*integer
Bundled delivery number
invoiceNumber*string
Waybill number
請求範例application/json
{
  "shipmentBoxId": 123456789012345680,
  "invoiceNumber": "505124853844"
}
# 05

回應內容

回應訊息

NameTypeDescription
codestring
server response status info
messagestring
detail info
databoolean
true/false

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": true
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (Check Request Parameter)

Failed to process as Delivery Completed.
Delivery status: INSTRUCT

The orders in 'In Preparation' (INSTRUCT) status cannot be processed as 'Delivery Completed'. Only those orders in or past 'Delivery Started' status may be processed.

400400 (Check Request Parameter)

Failed to process as Delivery Completed.
Delivery status: DEPARTURE

Make sure that the waybill number is correct and that the order is past 30 days since entering 'Delivery Started' status. Depending on the time of entering 'Delivery Started' status, it is possible that an order could be processed after 32 days.

400400 (Check Request Parameter)

Failed to process as Delivery Completed.
Delivery status: NONE_TRACKING

The orders in 'Direct Courier Delivery' (NONE_TRACKING) status cannot be processed as 'Delivery Completed'. Make sure to prevent further attempts to process it as 'Delivery Completed'.